Bug 740834 - Review Request: drupal7-pathauto - Automatically generates path aliases
Summary: Review Request: drupal7-pathauto - Automatically generates path aliases
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-23 14:02 UTC by Peter Borsa
Modified: 2011-10-27 19:11 UTC (History)
3 users (show)

Fixed In Version: drupal7-pathauto-1.0-0.1.rc2.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-04 20:48:29 UTC
gwync: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Peter Borsa 2011-09-23 14:02:07 UTC
Spec URL: http://asrob.fedorapeople.org/SOURCES/drupal7-pathauto.spec
SRPM URL: http://asrob.fedorapeople.org/SOURCES/drupal7-pathauto-1.0-0.1.rc2.fc15.src.rpm
Description: The Pathauto module automatically generates path aliases
for various kinds of content (nodes, categories, users)
without requiring the user to manually specify the path alias.

rpmlint output:

$ rpmlint drupal7-pathauto.spec ../SRPMS/drupal7-pathauto-1.0-0.1.rc2.fc15.src.rpm ../RPMS/noarch/drupal7-pathauto-1.0-0.1.rc2.fc15.noarch.rpm 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

koji output:

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=3372327
Watching tasks (this may be safely interrupted)...
3372327 build (dist-f15, drupal7-pathauto-1.0-0.1.rc2.fc15.src.rpm): open (x86-14.phx2.fedoraproject.org)
  3372328 buildArch (drupal7-pathauto-1.0-0.1.rc2.fc15.src.rpm, noarch): free
  3372328 buildArch (drupal7-pathauto-1.0-0.1.rc2.fc15.src.rpm, noarch): free -> open (x86-06.phx2.fedoraproject.org)
  3372328 buildArch (drupal7-pathauto-1.0-0.1.rc2.fc15.src.rpm, noarch): open (x86-06.phx2.fedoraproject.org) -> closed
  0 free  1 open  1 done  0 failed
3372327 build (dist-f15, drupal7-pathauto-1.0-0.1.rc2.fc15.src.rpm): open (x86-14.phx2.fedoraproject.org) -> closed
  0 free  0 open  2 done  0 failed

3372327 build (dist-f15, drupal7-pathauto-1.0-0.1.rc2.fc15.src.rpm) completed successfully

Comment 1 Gwyn Ciesla 2011-10-04 19:19:08 UTC
Good:

- rpmlint checks return:

Nothing.

- package meets naming guidelines
- package meets packaging guidelines
- license ( GPLv2+ ) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file

APPROVED.

Comment 2 Peter Borsa 2011-10-04 19:39:03 UTC
New Package SCM Request
=======================
Package Name: drupal7-pathauto
Short Description: Automatically generates path aliases
Owners: asrob jsmith pfrields
Branches: f15 f16 el5 el6
InitialCC:

Comment 3 Gwyn Ciesla 2011-10-04 19:44:45 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2011-10-04 20:24:51 UTC
drupal7-pathauto-1.0-0.1.rc2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/drupal7-pathauto-1.0-0.1.rc2.fc15

Comment 5 Fedora Update System 2011-10-04 20:32:02 UTC
drupal7-pathauto-1.0-0.1.rc2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/drupal7-pathauto-1.0-0.1.rc2.fc16

Comment 6 Fedora Update System 2011-10-04 20:38:46 UTC
drupal7-pathauto-1.0-0.1.rc2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/drupal7-pathauto-1.0-0.1.rc2.el5

Comment 7 Fedora Update System 2011-10-04 20:47:56 UTC
drupal7-pathauto-1.0-0.1.rc2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/drupal7-pathauto-1.0-0.1.rc2.el6

Comment 8 Fedora Update System 2011-10-13 23:51:53 UTC
drupal7-pathauto-1.0-0.1.rc2.fc15 has been pushed to the Fedora 15 stable repository.

Comment 9 Fedora Update System 2011-10-16 00:55:51 UTC
drupal7-pathauto-1.0-0.1.rc2.fc16 has been pushed to the Fedora 16 stable repository.

Comment 10 Fedora Update System 2011-10-27 19:11:34 UTC
drupal7-pathauto-1.0-0.1.rc2.el5 has been pushed to the Fedora EPEL 5 stable repository.

Comment 11 Fedora Update System 2011-10-27 19:11:41 UTC
drupal7-pathauto-1.0-0.1.rc2.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.